Name: camlp4
Version: 3.00
Release: 7
Packager: Daniel de Rauglaudre <daniel.de_rauglaudre@inria.fr>
Summary: Objective Caml Preprocessor
Source0: ftp://ftp.inria.fr/INRIA/Projects/cristal/Daniel.de_Rauglaudre/Camlp4/camlp4-%{version}.tar.gz
Source1: ftp://ftp.inria.fr/INRIA/Projects/cristal/Daniel.de_Rauglaudre/Camlp4/camlp4-%{version}.html.tar.gz
Source2: ftp://ftp.inria.fr/INRIA/Projects/cristal/Daniel.de_Rauglaudre/Camlp4/camlp4-%{version}.ps.gz
Copyright: BSD
Group: Development/Languages
URL: http://caml.inria.fr/
BuildRoot: /var/tmp/caml-root
BuildPreReq: ocaml = 3.00
Requires: ocaml = 3.00
ExcludeArch: sparc

%description
Camlp4 is a Pre-Processor-Pretty-Printer for Objective Caml. It offers tools 
for syntax (grammars) and the ability to modify the concrete syntax 
of the language (quotations, syntax extensions). 

Camlp4 can parse normal Ocaml concrete syntax or any other user-definable
syntax. As an example, an alternative syntax is provided, named revised,
because it tries to fix some small problems of the normal syntax. 

Camlp4 can pretty print the normal Ocaml concrete syntax or the revised one.
It is therefore always possible to have a version of your sources compilable
by the compiler Objective Caml without preprocessing. 

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
mv camlp4-%{version}.html manual
cp %{SOURCE2} refman.ps.gz

%build
(
echo OLIBDIR=%{_libdir}/ocaml
echo BINDIR=%{_bindir}
echo LIBDIR=%{_libdir}/camlp4
echo MANDIR=%{_mandir}/man1
) > config/Makefile.cnf

rm -f config/Makefile
cat config/Makefile.tpl > config/Makefile
echo >> config/Makefile
cat config/Makefile.cnf >> config/Makefile
chmod -w config/Makefile
make world opt

%install
(
echo OLIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
echo BINDIR=$RPM_BUILD_ROOT%{_bindir}
echo LIBDIR=$RPM_BUILD_ROOT%{_libdir}/camlp4
echo MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1
) > config/Makefile.cnf

rm -f config/Makefile
cat config/Makefile.tpl > config/Makefile
echo >> config/Makefile
cat config/Makefile.cnf >> config/Makefile
chmod -w config/Makefile
rm -rf $RPM_BUILD_ROOT
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc refman.ps.gz manual LICENSE CHANGES README README-2.01 README-3.00
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Tue Jul 11 2000 Tim Powers <timp@redhat.com>
- excludearching sparc, will fix later

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jun 5 2000 Tim Powers <timp@redhat.com>
- put man pages in correct place (FHS compliant)

* Fri May 5 2000 Tim Powers <timp@redhat.com>
- use _prefix wherever possible so that we can make the rebuilds a bit more
  portable
- use globs for the files list, makes sure we pick everything up that we need
  to, also makes for a shorter files list

* Tue Sep  7 1999 Daniel de Rauglaudre <daniel.de_rauglaudre@inria.fr>
Version 2.01.1 Release 1
- Created from Alexey Nogin's Camlp4 spec file
